Bug 318717 - Result of application of Pixelize Filter has artifacts on every 512px lines
Summary: Result of application of Pixelize Filter has artifacts on every 512px lines
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Filters (show other bugs)
Version: git master (please specify the git hash!)
Platform: Other Linux
: NOR normal
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-22 12:54 UTC by Dmitry Kazakov
Modified: 2013-12-29 11:29 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Kazakov 2013-04-22 12:54:34 UTC
All the "pixels" should have the same origin, e.g. 0,0
Comment 1 Halla Rempt 2013-05-18 08:25:17 UTC
Can you add a screenshot? I'm not sure I see the artefacts, but I might be looking in the wrong place.

More notes on the pixel filter:

* there should be a synch button to keep the horizontal and vertical pixel size synchronized
* the current max pixel size is too small

And it would be a lot more fun to play with this filter if we could change the shape of the pixel, give them rounded corners, make triangles, mosaic...
Comment 2 Halla Rempt 2013-12-29 11:28:54 UTC
Git commit 1e1ace887e7661efd2716aa6a337213d59101730 by Boudewijn Rempt.
Committed on 29/12/2013 at 11:11.
Pushed by rempt into branch 'calligra/2.8'.

Disable threading and filter layers/masks for the pixelize filter

The pixelize filter needs the update rects to be aligned by the values
in configuration object, and we cannot do that.

The preview will always be wrong therefore, but applying the filter will
now be correct.

M  +4    -3    krita/plugins/filters/pixelizefilter/kis_pixelize_filter.cpp

http://commits.kde.org/calligra/1e1ace887e7661efd2716aa6a337213d59101730
Comment 3 Halla Rempt 2013-12-29 11:29:21 UTC
Git commit d9342568a9509cc71ca0b26105d0df3b246bcc33 by Boudewijn Rempt.
Committed on 29/12/2013 at 11:11.
Pushed by rempt into branch 'master'.

Disable threading and filter layers/masks for the pixelize filter

The pixelize filter needs the update rects to be aligned by the values
in configuration object, and we cannot do that.

The preview will always be wrong therefore, but applying the filter will
now be correct.

M  +4    -3    krita/plugins/filters/pixelizefilter/kis_pixelize_filter.cpp

http://commits.kde.org/calligra/d9342568a9509cc71ca0b26105d0df3b246bcc33